Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 624700 (CVE-2017-9955) - <sys-devel/binutils-2.29: heap buffer over-read in get_build_id function, and more
Summary: <sys-devel/binutils-2.29: heap buffer over-read in get_build_id function, and...
Status: RESOLVED FIXED
Alias: CVE-2017-9955
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-12 15:14 UTC by Agostino Sarubbo
Modified: 2018-01-07 23:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-07-12 15:14:56 UTC
From ${URL} :

The get_build_id function in opncls.c in the Binary File Descriptor
(BFD) library (aka libbfd), as distributed in GNU Binutils 2.28, allows attackers to cause a denial of service (heap-based buffer
over-read and application crash) via a crafted file in which a certain
size field is larger than a corresponding data field, as demonstrated
by mishandling within the objdump program.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21665

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=cfd14a500e0485374596234de4db10e88ebc7618
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=0630b49c470ca2e3c3f74da4c7e4ff63440dd71f
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=1f473e3d0ad285195934e6a077c7ed32afe66437
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=ab27f80c5dceaa23c4ba7f62c0d5d22a5d5dd7a1
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=7211ae501eb0de1044983f2dfb00091a58fbd66c
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=ea9aafc41a764e4e2dbb88a7b031e886b481b99a
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=60a02042bacf8d25814430080adda61ed086bca6
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=bae7501e87ab614115d9d3213b4dd18d96e604db


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Andreas K. Hüttel gentoo-dev 2017-09-13 18:43:55 UTC
Right now binutils-2.29 is not even keyworded yet. So this needs some time.
Comment 2 Andreas K. Hüttel gentoo-dev 2017-12-27 22:52:14 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 3 D'juan McDonald (domhnall) 2018-01-05 06:43:57 UTC
Added to existing GLSA request.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:11:04 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).